.modal .pagination,
.pagination-top0 .pagination {
  top: 0 !important;
}

.pagination {
  position       : sticky;
  top            : 57px;
  background     : transparent;
  backdrop-filter: blur(7px);
  font-size      : 11px;
  z-index        : 2000;
  border-radius  : 8px;
}

.show-btn-row .pagination {
  top: 54px;
}

.pagination>* {
  /* margin-bottom: 15px; */
}

.pagination .filter_btn .dd-content {
  overflow     : hidden;
  min-height   : 350px !important;
  max-height   : 350px;
  background   : white;
  border-radius: 0 0 8px 8px;
}

.pagination .filter_btn .dd-content.dropdown-open {
  overflow: visible;
}

.pagination .filter_btn .card-body {
  overflow     : auto;
  /* min-height: 307px; */
  max-height   : 307px;
}

.pagination select {
  font-size: 12px;
}

.pagination input {
  font-size: 12px;
}

.pagination i {
  font-size: 11px;
  color    : #424040;
}

.entries .entry {
  border       : 0;
  border-bottom: 1px solid var(--bs-gray-200);
  margin       : 0 8px;
}

.page-number-input {
  max-width: 25px;
}

.pagination .navigator {
  padding-right: 5px;
}

.page-navigate .btn {
  padding: 0 4px;
}

.page-navigate .btn:hover {
  background: #e9ecef;
  filter    : contrast(0.7);
}

.page-navigate-left,
.page-navigate-right {
  background: var(--bs-gray-200);
}

.page-navigate .form-control {
  padding: 4px 0;
}

.pagination+.row {
  position     : sticky;
  margin-bottom: 11px;
  overflow-x   : hidden;
  min-height   : 5px;
  /* outline   : 1px solid; */
  z-index      : 100;
}

.pagination+.row .loading-con {
  position     : absolute;
  left         : -25%;
  max-width    : 25%;
  background   : var(--bs-blue);
  min-height   : 5px;
  border-radius: 15px;
}

.pagination+.row .loading-con.loading {
  animation: loading-pagination 4s linear 0s infinite;
}

@keyframes loading-pagination {
  0% {
    left: -25%;
  }

  100% {
    left: 100%;
  }
}

/* sticky css */
.sticky-row-1 {
  top: 70px;
}

.sticky-row-2 {
  top: 123px;
}

.sticky-row-3 {
  top: 199px;
}

@media only screen and (min-width: 237px) and (max-width: 800px) {
  .pagination {
    top               : 56px !important;
    /* justify-content: center; */
  }

  .pagination .navigator {
    padding-top: 5px;
  }

  .pagination .navigator .page-navigate-number {
    flex-direction: row !important;
  }

  .pagination .navigator .page-navigate {
    order: 1;
  }

  .pagination .navigator .entry-count {
    margin-left: 5px;
    order      : 2;
  }

  .pagination .page-number-span:before {
    content: "-";
    display: block;
    width  : max-content;
    height : 20px;
    padding: 0 3px;
  }
}